#
# spec file for package kubectl-dup
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define __arch_install_post export NO_BRP_STRIP_DEBUG=true

Name:           kubectl-dup
Version:        0.3.2
Release:        1.2
Summary:        Kubectl plugin for duplication of existing kubernetes resources
License:        MIT
URL:            https://github.com/vash/dup
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  go >= 1.22

%description
This plugin is designed for on-the-fly duplication of Kubernetes resources. It
focuses on providing a convenient way to edit resources before duplication,
with a specific emphasis on Pods to create a fine-tuned resource quickly. This
tool can be used for debugging running containers without them crashing, and
simplifying the administration and general interaction with Kubernetes
clusters.

%prep
%autosetup -p 1 -a 1

%build
go build \
   -mod=vendor \
   -buildmode=pie \
   -o bin/%{name}

%install
# Install the binary.
install -D -m 0755 bin/%{name} %{buildroot}/%{_bindir}/%{name}

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}

%changelog
* Sun Aug 18 2024 opensuse_buildservice@ojkastl.de
- Update to version 0.3.2:
  * chore: krew original desc retag
  * chore: description change krew
  * feat: support for all CRDs, loop flag, adapters, release-prep
  * docs: asciinema
  * docs: added to krew index
  * docs: header-bg
  * docs: header img
  * chore(release): goreleaser-config
* Mon Jul 15 2024 opensuse_buildservice@ojkastl.de
- Update to version 0.2.0:
  * chore(release): goreleaser-config
  * chore(release): goreleaser setup
  * chore(readme): indentation
  * feat: rewrite to allow duplication of all resources, prepare for krew
  * feat: disable probes by default
  * feat: usage, validation bug: fix justfile creation
  * feat: usage, validation
  * feat: beginning to work on input validation
  * feat: working
  * feat: wip
* Mon Jul 15 2024 Johannes Kastl <opensuse_buildservice@ojkastl.de>
- new package kubectl-dup: kubectl plugin for duplication of
  existing kubernetes resources, especially pods
